Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ddm.impl
Class RelationalMapper

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.ddm.impl.RelationalMapper

All Implemented Interfaces:
  Mapper, MapperGenerator

    public class RelationalMapper

extends Object
implements Mapper, MapperGenerator

Constructor Summary
`RelationalMapper(SQWRLQueryEngine queryEngine)`

Method Summary
`void` | `addMap(OWLClassMap classMap)`
`void` | `addMap(OWLDatatypePropertyMap datatypePropertyMap)`
`void` | `addMap(OWLObjectPropertyMap objectPropertyMap)`
`void` | `close()`
`boolean` | `isMapped(OWLClass owlClass)`
`boolean` | `isMapped(OWLProperty owlProperty)`
`Set<OWLIndividual>` | `mapOWLClass(OWLClass owlClass)`
`Set<OWLIndividual>` | `mapOWLClass(OWLClass owlClass, OWLIndividual owlIndividual)`
`Set<OWLDatatypePropertyAssertionAxiom>` | `mapOWLDatatypeProperty(OWLProperty owlProperty)`
`Set<OWLDatatypePropertyAssertionAxiom>` | `mapOWLDatatypeProperty(OWLProperty owlProperty, OWLDatatypeValue objectOWLDatatypeValue)`
`Set<OWLDatatypePropertyAssertionAxiom>` | `mapOWLDatatypeProperty(OWLProperty owlProperty, OWLIndividual subjectOWLIndividual)`
`Set<OWLDatatypePropertyAssertionAxiom>` | `mapOWLDatatypeProperty(OWLProperty owlProperty, OWLIndividual subjectOWLIndividual, OWLDatatypeValue objectOWLDatatypeValue)`
`Set<OWLObjectPropertyAssertionAxiom>` | `mapOWLObjectProperty(OWLProperty owlProperty)`
`Set<OWLObjectPropertyAssertionAxiom>` | `mapOWLObjectProperty(OWLProperty owlProperty, OWLIndividual subject)`
`Set<OWLObjectPropertyAssertionAxiom>` | `mapOWLObjectProperty(OWLProperty owlProperty, OWLIndividual subject, OWLIndividual object)`
`void` | `open()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationalMapper

    public RelationalMapper(SQWRLQueryEngine queryEngine)
                     throws MapperException

Throws:
  `MapperException`

Method Detail

### open

    public void open()
              throws MapperException

  Specified by:
    `open` in interface `Mapper`
  Throws:
    `MapperException`

### close

    public void close()
               throws MapperException

  Specified by:
    `close` in interface `Mapper`
  Throws:
    `MapperException`

### isMapped

    public boolean isMapped(OWLClass owlClass)

  Specified by:
    `isMapped` in interface `Mapper`

### isMapped

    public boolean isMapped(OWLProperty owlProperty)

  Specified by:
    `isMapped` in interface `Mapper`

### addMap

    public void addMap(OWLClassMap classMap)

  Specified by:
    `addMap` in interface `MapperGenerator`

### addMap

    public void addMap(OWLObjectPropertyMap objectPropertyMap)

  Specified by:
    `addMap` in interface `MapperGenerator`

### addMap

    public void addMap(OWLDatatypePropertyMap datatypePropertyMap)

  Specified by:
    `addMap` in interface `MapperGenerator`

### mapOWLClass

    public Set<OWLIndividual> mapOWLClass(OWLClass owlClass)
                                   throws MapperException

  Specified by:
    `mapOWLClass` in interface `Mapper`
  Throws:
    `MapperException`

### mapOWLClass

    public Set<OWLIndividual> mapOWLClass(OWLClass owlClass,
                                          OWLIndividual owlIndividual)
                                   throws MapperException

  Specified by:
    `mapOWLClass` in interface `Mapper`
  Throws:
    `MapperException`

### mapOWLObjectProperty

    public Set<OWLObjectPropertyAssertionAxiom> mapOWLObjectProperty(OWLProperty owlProperty)
                                                              throws MapperException

  Specified by:
    `mapOWLObjectProperty` in interface `Mapper`
  Throws:
    `MapperException`

### mapOWLObjectProperty

    public Set<OWLObjectPropertyAssertionAxiom> mapOWLObjectProperty(OWLProperty owlProperty,
                                                                     OWLIndividual subject)
                                                              throws MapperException

  Specified by:
    `mapOWLObjectProperty` in interface `Mapper`
  Throws:
    `MapperException`

### mapOWLObjectProperty

    public Set<OWLObjectPropertyAssertionAxiom> mapOWLObjectProperty(OWLProperty owlProperty,
                                                                     OWLIndividual subject,
                                                                     OWLIndividual object)
                                                              throws MapperException

  Specified by:
    `mapOWLObjectProperty` in interface `Mapper`
  Throws:
    `MapperException`

### mapOWLDatatypeProperty

    public Set<OWLDatatypePropertyAssertionAxiom> mapOWLDatatypeProperty(OWLProperty owlProperty,
                                                                         OWLIndividual subjectOWLIndividual,
                                                                         OWLDatatypeValue objectOWLDatatypeValue)
                                                                  throws MapperException

  Specified by:
    `mapOWLDatatypeProperty` in interface `Mapper`
  Throws:
    `MapperException`

### mapOWLDatatypeProperty

    public Set<OWLDatatypePropertyAssertionAxiom> mapOWLDatatypeProperty(OWLProperty owlProperty,
                                                                         OWLIndividual subjectOWLIndividual)
                                                                  throws MapperException

  Specified by:
    `mapOWLDatatypeProperty` in interface `Mapper`
  Throws:
    `MapperException`

### mapOWLDatatypeProperty

    public Set<OWLDatatypePropertyAssertionAxiom> mapOWLDatatypeProperty(OWLProperty owlProperty,
                                                                         OWLDatatypeValue objectOWLDatatypeValue)
                                                                  throws MapperException

  Specified by:
    `mapOWLDatatypeProperty` in interface `Mapper`
  Throws:
    `MapperException`

### mapOWLDatatypeProperty

    public Set<OWLDatatypePropertyAssertionAxiom> mapOWLDatatypeProperty(OWLProperty owlProperty)
                                                                  throws MapperException

  Specified by:
    `mapOWLDatatypeProperty` in interface `Mapper`
  Throws:
    `MapperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.